import createFetchClient from "openapi-fetch";
import type { components, paths } from "@/generated/api-spec.ts";
import type { App } from "vue";

export const fetchClient = createFetchClient<paths>({
  baseUrl: "http://localhost:8080"
});

export type Schemas = components["schemas"];

// noinspection JSUnusedGlobalSymbols
const $api = {
  install: (app: App) => {
    app.config.globalProperties.$api = fetchClient;
  }
}

export default $api;
